#pragma once

#include "fs/devices/Device.h"
#include <luna/SharedPtr.h>

namespace DeviceRegistry
{
    enum DeviceMajorTypes : u32
    {
        Null = 0,
        Console = 1,
        Memory = 2,
        Framebuffer = 3,
    };

    Result<SharedPtr<Device>> fetch_special_device(u32 major, u32 minor);

    Result<void> register_special_device(u32 major, u32 minor, SharedPtr<Device> device);

    Result<void> init();
}
