#!/usr/bin/env bash
set -e

source $(dirname $0)/env.sh

cd $LUNA_ROOT

if [ "$(id -u)" -ne "0" ]
then
    echo "This script must be run under fakeroot."
    exit 1
fi

if [ "$USER" == "root" ]
then
    echo "This script must be run under fakeroot instead of as root."
    exit 1
fi

chown -R root:root initrd

cmake --install $LUNA_BUILD_DIR

chmod 400 initrd/boot/moon
chmod a+s initrd/bin/su

mkdir -p initrd/home/selene
chown 1000:1000 initrd/home/selene
